package com.example.emates;

import android.app.Activity;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.content.Intent;
import android.graphics.Typeface;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.style.StyleSpan;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.TextView.BufferType;

	 
public class Aven1p7 extends Activity {
	
	//variables de eventos sonido
		MediaPlayer mp = null;
		int pos = 0;
		private ImageView sound;
		//////////////////////

    @Override
    protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_aven1p7);//direcciona el activity
		
		//inicializa el sonido
				sound=(ImageView)findViewById(R.id.sound);
				
      //referencia al id
        TextView h1ep1 = (TextView) findViewById(R.id.h1ep1);
	    
		 // Texto parrafo bold
		 SpannableStringBuilder ssp2 = new SpannableStringBuilder("Cuando llego el gua ya eran las 10:15 am.");
		  
		  
		 // Seleccionamos las secciones del texto a las que vamos a aplicar los distintos spans definidos. 
		 
		 ssp2.setSpan(new StyleSpan(Typeface.BOLD),33, 41,Spannable.SPAN_INCLUSIVE_INCLUSIVE);
		  
		 // Mostramos el texto formateado.
		 h1ep1.setText(ssp2, BufferType.SPANNABLE);
		 
		
    }
    
    /////Eventos de sonido///////
    public void destruir() {
        if (mp != null)
            mp.release();
    }
    
    public void sound(View view) 
    	{ 
	    	if(mp == null) 
	    		{
	    	   sound.setImageResource(R.drawable.pause);
	 		   mp = MediaPlayer.create(this, R.raw.aud3);
	 		   mp.start();
	    		}
	    	else
	    		{
	    		if (mp != null && mp.isPlaying()) 
	    			{
	    			sound.setImageResource(R.drawable.sound);
		            pos = mp.getCurrentPosition();
		            mp.pause();
	    			}
	    		else
	    			{
	    			sound.setImageResource(R.drawable.pause);
	    	        mp.seekTo(pos);
	    	        mp.start();
	    			} 
	    		}
    	}
   ///////////////////////////////////////
    
    public void lanzar(View view) {
    	destruir();
    	mp=null;
    	pos = 0;
        Intent i = new Intent(this, Aven1p8.class );
        startActivity(i);
  }
    
  //Carga el menu
    public boolean onCreateOptionsMenu(Menu menu) {
 	    MenuInflater inflater = getMenuInflater();
 	    inflater.inflate(R.menu.main, menu);
 	    return true;
 	}
    
  //Da funcionalidad a los items del menu
    public boolean onContextItemSelected(MenuItem item) 
    	{
          switch (item.getItemId()) {
          case R.id.inicio:
          	destruir();
          	mp=null;
          	pos = 0;
          	Intent f = new Intent(this, MainActivity.class );
  	        startActivity(f);
  	        return true;
          case R.id.repos:
        	destruir();
          	mp=null;
          	pos = 0;
          	Intent j = new Intent(this, Repositorio.class );
  	        startActivity(j);
  	        return true;  
              default:
              return super.onOptionsItemSelected(item);
          }
    	}
    //fin  menu
}