package com.example.emates;

import android.app.Activity;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.Typeface;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.TextView.BufferType;

	 
public class Aven1pi extends Activity {
	
	//variables de eventos sonido
	MediaPlayer mp = null;
	int pos = 0;
	private ImageView sound;
	//////////////////////
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
    	
    	super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_aven1pi);//direcciona el activity
		
		//inicializa el sonido
		sound=(ImageView)findViewById(R.id.sound);
		
      //Edicion de texto negrilla
        TextView h1p2 = (TextView) findViewById(R.id.h1p2);
        SpannableStringBuilder ssp2 = new SpannableStringBuilder("Siendo las 8:30 de la maana se encontraron en la casa del rbol que el padre de Pierre  haba  construido,  en este lugar tenan adems de sus ahorros algunas herramientas y objetos que haban resultado muy tiles en anteriores  aventuras  las cuales recordaban con mucho entusiasmo.  Era el momento entonces  para preparar sus maletas y alistar el dinero necesario para el viaje al parque, despus de un breve dialogo cada uno decidi:");
		ssp2.setSpan(new StyleSpan(Typeface.BOLD),11, 15,Spannable.SPAN_INCLUSIVE_INCLUSIVE);
		h1p2.setText(ssp2, BufferType.SPANNABLE);
		 
		//Texto color azul
		 TextView h1p3 = (TextView) findViewById(R.id.h1p3);
		 SpannableStringBuilder ssp3 = new SpannableStringBuilder("Pierre-  yo llevare mi lazo con argolla, pegamento, palos y un plstico. ");
		 ssp3.setSpan(new ForegroundColorSpan(Color.BLUE),0, 7,Spannable.SPAN_INCLUSIVE_INCLUSIVE);
		 h1p3.setText(ssp3, BufferType.SPANNABLE);
		 
		//Texto color Rojo
		 TextView h1p4 = (TextView) findViewById(R.id.h1p4);
		 SpannableStringBuilder ssp4 = new SpannableStringBuilder("Sophie- yo llevare hojas, tijeras, lpices, una regla de 30cm,  un hilo y una linterna. ");
		 ssp4.setSpan(new ForegroundColorSpan(Color.RED),0, 7,Spannable.SPAN_INCLUSIVE_INCLUSIVE);
		 h1p4.setText(ssp4, BufferType.SPANNABLE);
    }
    
    /////Eventos de sonido///////
    public void destruir() {
        if (mp != null)
            mp.release();
    }
    
    public void sound(View view) 
    	{ 
	    	if(mp == null) 
	    		{
	    	   sound.setImageResource(R.drawable.pause);
	 		   mp = MediaPlayer.create(this, R.raw.aud1);
	 		   mp.start();
	    		}
	    	else
	    		{
	    		if (mp != null && mp.isPlaying()) 
	    			{
	    			sound.setImageResource(R.drawable.sound);
		            pos = mp.getCurrentPosition();
		            mp.pause();
	    			}
	    		else
	    			{
	    			sound.setImageResource(R.drawable.pause);
	    	        mp.seekTo(pos);
	    	        mp.start();
	    			} 
	    		}
    	}
   ///////////////////////////////////////
    
  //Carga el menu
   public boolean onCreateOptionsMenu(Menu menu) {
	    MenuInflater inflater = getMenuInflater();
	    inflater.inflate(R.menu.main, menu);
	    return true;
	}
 
 //Da funcionalidad a los items del menu
  public boolean onContextItemSelected(MenuItem item) 
  	{
        switch (item.getItemId()) {
        case R.id.inicio:
        	destruir();
        	mp=null;
        	pos = 0;
        	Intent f = new Intent(this, MainActivity.class );
	        startActivity(f);
	        return true;
        case R.id.repos:
        	destruir();
        	mp=null;
        	pos = 0;
        	Intent j = new Intent(this, Repositorio.class );
	        startActivity(j);
	        return true;  
            default:
            return super.onOptionsItemSelected(item);
        }
  	}
  //fin  menu
  
  public void lanzar(View view) {
  	  destruir();
  	  mp=null;
  	  pos = 0;
      Intent i = new Intent(this, Aven1p2.class );
      startActivity(i);
}
}

	    

