package com.example.emates;

//Importamos libreras de android 
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Toast;

//Inicio de la clase
public class MainActivity extends Activity {
	

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		Bundle extras = getIntent().getExtras(); 
		Intent intent = new Intent();
		

		if (extras != null) {
		    if (extras.getBoolean("Salir", false)) {
		    	intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		    	finish();
		    	return;
		    }
		}	 
		setContentView(R.layout.activity_main);
	
	}	
	/////////////
	
	
	//Lanza la actividad aventuras 
	public void lanzarbiblio(View view) {
		
		Context context = getApplicationContext(); //contexto de la aplicacin
		 CharSequence text = "Bienvenido la opcin aventuras. Escoge una historia para continuar";//texto que se mostrar en el Toast
		 int duration = Toast.LENGTH_LONG;//duracin en pantalla de este Toast
		 Toast toast = Toast.makeText(context, text, duration);//Instanciamos un objeto Toast y en el mtodo makeText le pasamos como atributos los valores anteriores
		 toast.show(); //mostramos el Toast en pantalla
		
	    Intent i = new Intent(this, Aventuras.class );
	    startActivity(i);
	    
	  }
	
	
	//Lanza la actividad personajes
	public void lanzarperson(View view) {
	
		
		Context context = getApplicationContext(); //contexto de la aplicacin
		 CharSequence text = "Conoce a nuestros personajes";//texto que se mostrar en el Toast
		 int duration = Toast.LENGTH_LONG;//duracin en pantalla de este Toast
		 Toast toast = Toast.makeText(context, text, duration);//Instanciamos un objeto Toast y en el mtodo makeText le pasamos como atributos los valores anteriores
		 toast.show(); //mostramos el Toast en pantalla
  		
		
      Intent i = new Intent(this, Personajes.class );
      startActivity(i);
}

	//Lanza la actividad Repositorio
public void lanzarrepos(View view) {
	
		
		Context context = getApplicationContext(); //contexto de la aplicacin
		 CharSequence text = "Bienvenido al repositorio, escoge una categora";//texto que se mostrar en el Toast
		 int duration = Toast.LENGTH_LONG;//duracin en pantalla de este Toast
		 Toast toast = Toast.makeText(context, text, duration);//Instanciamos un objeto Toast y en el mtodo makeText le pasamos como atributos los valores anteriores
		 toast.show(); //mostramos el Toast en pantalla
  		
		
      Intent i = new Intent(this, Repositorio.class );
      startActivity(i);
}
	
////Inicio Menu
	  public boolean onCreateOptionsMenu(Menu menu) {
		    MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.ayuda, menu);
		    return true;
		}
	 
	  ////Funcionalidad del menu
	  public boolean onContextItemSelected(MenuItem item) {
	        switch (item.getItemId()) {
	        case R.id.help:
	        	Intent f = new Intent(this, Ayuda.class );
		        startActivity(f);
		        return true;  
	            default:
	            return super.onOptionsItemSelected(item);
	        }
	        
	    } 
	   
	  //// Fin Menu
	


}
