package com.example.emates;


import android.os.Bundle;
import android.app.Activity;
import java.util.Timer;
import java.util.TimerTask;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.view.Window;

public class Splash_Screen extends Activity {

// Retardo 
private static final long SPLASH_SCREEN_DELAY = 3000;

@Override
protected void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);

// Set portrait orientation
setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
// Hide title bar
requestWindowFeature(Window.FEATURE_NO_TITLE);

setContentView(R.layout.splash__screen);

TimerTask task = new TimerTask() {
    @Override
    public void run() {

        // Start the next activity
        Intent mainIntent = new Intent().setClass(
        Splash_Screen.this, MainActivity.class);
        startActivity(mainIntent);

        // Close the activity so the user won't able to go back this
        // activity pressing Back button
        finish();
    }
};

// Simulate a long loading process on application startup.
Timer timer = new Timer();
timer.schedule(task, SPLASH_SCREEN_DELAY);
}

}

